Subject: Re: Missouri Registered Agent/First Year Invoice
From: "Michael B" <[email-masked]>
To: "Jennifer Meier" <[email-masked]>
Cc: <[email-masked]>, "Dave Brake" <[email-masked]>
Date: Thu, 15 Aug 2013 09:12:05 -0400

Hello Jennifer.
I am having my Administrative Assistant Amber contact you today to pay the invoice.  Please instruct her on everything you will need to get this all in place.
Thank you,
Michael B
LLPS

From: Jennifer Meier 
Sent: Wednesday, August 14, 2013 5:38 PM
To: [email-masked] ; [email-masked] 
Subject: Missouri Registered Agent/First Year Invoice

Dear Mr. Bishop,

Reid Felsing just called to request a Missouri registered agent for your company and requested that I bill you directly for the first year fee.

So I am emailing both of you with the agent information and the first year invoice. 

Please see the attached letter and invoice and let me know if either of you have any questions.

Thank you.

Jennifer Meier

Registered Agents Legal Services, LLC

800-400-6650

www.inclegal.com

[email-masked]